> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Change Client Billing Plan

> Changes the own organization's billing plan from its first unbilled period, or during a trial.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json POST /platform/change-client-billing-plan
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /platform/change-client-billing-plan:
    post:
      operationId: changeClientBillingPlan
      summary: Change Client Billing Plan
      description: >-
        Changes the own organization's billing plan from its first unbilled
        period, or during a trial.


        Not available to API keys.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ChangeClientBillingPlanRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ChangeClientBillingPlanResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    ChangeClientBillingPlanRequest:
      type: object
      properties:
        catalogVersion:
          type: string
          pattern: ^[a-z0-9][a-z0-9._-]{0,31}$
        acceptedAgreement:
          type: boolean
        agreementVersion:
          type: string
          maxLength: 64
      required:
        - catalogVersion
        - acceptedAgreement
    ChangeClientBillingPlanResponse:
      oneOf:
        - $ref: '#/components/schemas/ChangeClientBillingPlanResponse1'
        - $ref: '#/components/schemas/ChangeClientBillingPlanResponse2'
        - $ref: '#/components/schemas/ChangeClientBillingPlanResponse3'
    ChangeClientBillingPlanResponse1:
      type: object
      properties:
        change:
          const: KEPT
      required:
        - change
    ChangeClientBillingPlanResponse2:
      type: object
      properties:
        change:
          const: NOW
        catalogVersion:
          type: string
      required:
        - change
        - catalogVersion
    ChangeClientBillingPlanResponse3:
      type: object
      properties:
        change:
          const: SCHEDULED
        catalogVersion:
          type: string
        fromMonth:
          type: string
      required:
        - change
        - catalogVersion
        - fromMonth
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
